## omlcs 0.1.3

=== Makefile ===
install: install-data install-exec install-images install-conf prep-log

prep-log:
	mkdir -p $(DESTDIR)/var/log/omlcs

install-data:
	mkdir -p $(DESTDIR)/usr/share/omlcs
	cp -Rf includes/* $(DESTDIR)/usr/share/omlcs

	mkdir -p $(DESTDIR)/var/cache/omlcs

install-exec:
	mkdir -p $(DESTDIR)/etc/cron.daily
	mkdir -p $(DESTDIR)/etc/cron.d
	mkdir -p $(DESTDIR)/usr/share/omlcs/bin
	cp -f cron/copypass $(DESTDIR)/etc/cron.daily
	cp -f cron/omlcs $(DESTDIR)/etc/cron.d
	cp -af scripts/makeomlcs $(DESTDIR)/usr/share/omlcs/bin
	#cp -af scripts/makeomlcs.pl $(DESTDIR)/usr/share/omlcs/bin

install-images:
	mkdir -p $(DESTDIR)/usr/share/omlcs/images
	cp -f images/*.gif images/*.png $(DESTDIR)/usr/share/omlcs/images

install-conf:
	mkdir -p $(DESTDIR)/etc/omlcs
	cp -f conf/omlcs.conf $(DESTDIR)/etc/omlcs/apache.conf
	cp -f conf/*.inc $(DESTDIR)/etc/omlcs
	cp -f conf/defaultauto $(DESTDIR)/etc/omlcs

## omlcs 0.1.1

=== debian/changelog ===
omlcs (0.1.1) unstable; urgency=low

  * Mark files in /etc as conffiles, closes: #132118.
  * Hides some error messages.
  * Added automatic make of web pages, see /etc/omlcs/defaultauto.
  * Updated the standards version.
  * Fixed build dep lintian error.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Feb 2002 09:37:03 +0100

omlcs (0.1.0) unstable; urgency=low

  * Initial debian release, rewritten to work on a real debian system.

 -- Ola Lundqvist <opal@debian.org>  Sun, 02 Sep 2001 21:23:43 +0200

omlcs (0.0.10-4) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 05 Okt 2000 15:04:39 +0200

omlcs (0.0.10-3) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 05 Okt 2000 14:55:53 +0200

omlcs (0.0.10-2) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 05 Okt 2000 13:46:11 +0200

omlcs (0.0.10-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 05 Okt 2000 13:45:36 +0200

omlcs (0.0.9-2) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 04 Okt 2000 07:57:56 +0200

omlcs (0.0.9-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 04 Okt 2000 07:43:50 +0200

omlcs (0.0.8-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 03 Okt 2000 21:42:07 +0200

omlcs (0.0.7-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 14 Sep 2000 21:02:19 +0200

omlcs (0.0.6-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 29 Aug 2000 14:04:56 +0200

omlcs (0.0.5-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 29 Aug 2000 09:24:02 +0200

omlcs (0.0.4-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 27 Aug 2000 13:31:00 +0200

omlcs (0.0.3-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sun, 26 Aug 2000 12:52:11 +0200

omlcs (0.0.2-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sat, 29 Jul 2000 19:08:41 +0200

omlcs (0.0.1-11) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sat, 29 Jul 2000 00:17:25 +0200

omlcs (0.0.1-10) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Sat, 29 Jul 2000 00:03:22 +0200

omlcs (0.0.1-9) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Fri, 28 Jul 2000 23:54:28 +0200

omlcs (0.0.1-8) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Fri, 28 Jul 2000 23:48:04 +0200

omlcs (0.0.1-7) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Fri, 28 Jul 2000 23:22:21 +0200

omlcs (0.0.1-6) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Fri, 28 Jul 2000 23:12:33 +0200

omlcs (0.0.1-5) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Fri, 28 Jul 2000 22:47:29 +0200

omlcs (0.0.1-4) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Fri, 28 Jul 2000 22:31:57 +0200

omlcs (0.0.1-3) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Fri, 28 Jul 2000 22:26:45 +0200

omlcs (0.0.1-2) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Fri, 28 Jul 2000 22:21:03 +0200

omlcs (0.0.1-1) unstable; urgency=low

  * Automodification by orm. Relased a new version.

 -- Ola Lundqvist <opal@lysator.liu.se>  Fri, 28 Jul 2000 22:12:52 +0200

omlcs (0.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Ola Lundqvist <opal@lysator.liu.se>  Wed, 26 Jul 2000 21:15:31 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: omlcs
Section: web
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: debhelper (>> 2.0.0)
Standards-Version: 3.5.2

Package: omlcs
Architecture: all
Depends: wwwconfig-common, php4 | php3, apache | apache-ssl | webserver
Suggests: mysql-client, mysql-server, php4-mysql | php3-mysql
Description: Markup language converter to html.
 OpaL Markup Language Content System is a extended html-like language defined
 in xml. It makes writing of content lot easier because it can fetch data from
 other files in a automated way.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Changed to fit orm (2000) by Ola Lundqvist.

# Rules to build omlcs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

export DESTDIR=$(CURDIR)/debian/omlcs

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## omlcs 0.1.3

=== debian/changelog ===
omlcs (0.1.3) unstable; urgency=low

  * Updated standards version from 3.5.2 to 3.5.8 (no other changes).
  * Removed full stop from package description.
  * Fixed spelling error in README.Debian, automaticly -> automatically.
  * No longer contains CVS dir in /usr/share/omlcs. Build dep on dpsyco-devel.
  * Now builds arch indep and not arch dep files.

 -- Ola Lundqvist <opal@debian.org>  Fri, 10 Jan 2003 18:10:41 +0100

omlcs (0.1.2) unstable; urgency=low

  * Fixed makeomlcs script. Removed a testing line. So now it would work
    for anybody, not just me.

 -- Ola Lundqvist <opal@debian.org>  Mon,  4 Nov 2002 14:38:57 +0100

=== debian/control ===
Source: omlcs
Section: web
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: debhelper (>> 2.0.0), dpsyco-devel
Standards-Version: 3.5.8

Package: omlcs
Architecture: all
Depends: wwwconfig-common, php4 | php3, apache | apache-ssl | webserver
Suggests: mysql-client, mysql-server, php4-mysql | php3-mysql
Description: Markup language converter to html
 OpaL Markup Language Content System is a extended html-like language defined
 in xml. It makes writing of content lot easier because it can fetch data from
 other files in a automated way.

=== debian/rules ===
--- 
+++ 
@@ -39,15 +39,16 @@
 	# Add here commands to install the package into debian/tmp.
 	$(MAKE) install
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf	
+	dpsch-cvsclean
 	dh_installdocs
 	dh_installexamples
 	dh_installmenu
